Bug 541317 - Review Request: perl-CGI-Application-Structured - Medium-weight, MVC, DB web framework
Review Request: perl-CGI-Application-Structured - Medium-weight, MVC, DB web ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-25 08:58 EST by Emmanuel Seyman
Modified: 2009-12-09 23:31 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.003-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 23:12:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-11-25 08:58:10 EST
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Structured/perl-CGI-Application-Structured.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Structured/perl-CGI-Application-Structured-0.003-1.fc12.src.rpm
Description:
CGI::Application::Structured is an opinionated framework, based on
CGI::Application. It takes the view that developer time and consistent
projects structures can often be more cost-effective than focusing on the
highest performance on low cost hosting solutions.
Comment 1 Parag AN(पराग) 2009-11-26 01:45:36 EST
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1831408
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
45930fb4af73e549dbc02fd4639be21110e66c0e  CGI-Application-Structured-0.003.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=2, Tests=2,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.16 cusr  0.03 csys =  0.22 CPU)
+ Package  perl-CGI-Application-Structured-0.003-1.fc13.noarch=>
Provides: perl(CGI::Application::Structured) = 0.003
Requires: perl(CGI::Application::Plugin::AutoRunmode) perl(CGI::Application::Plugin::ConfigAuto) perl(CGI::Application::Plugin::DBH) perl(CGI::Application::Plugin::DBIC::Schema) perl(CGI::Application::Plugin::FillInForm) perl(CGI::Application::Plugin::Forward) perl(CGI::Application::Plugin::LogDispatch) perl(CGI::Application::Plugin::Redirect) perl(CGI::Application::Plugin::Session) perl(CGI::Application::Plugin::SuperForm) perl(CGI::Application::Plugin::TT) perl(CGI::Application::Plugin::ValidateRM) perl(base) perl(strict) perl(vars) perl(warnings)
+ Not a GUI application

APPROVED.
Comment 2 Emmanuel Seyman 2009-11-26 03:34:27 EST
(In reply to comment #1)
> 
> APPROVED.  

Thank you! Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-CGI-Application-Structured
Short Description: Medium-weight, MVC, DB web framework
Owners: eseyman
Branches: F-11 F-12
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-11-27 00:35:01 EST
cvs done.
Comment 4 Fedora Update System 2009-12-01 05:06:11 EST
perl-CGI-Application-Structured-0.003-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Structured-0.003-1.fc12
Comment 5 Fedora Update System 2009-12-01 05:06:16 EST
perl-CGI-Application-Structured-0.003-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Structured-0.003-1.fc11
Comment 6 Fedora Update System 2009-12-01 23:25:14 EST
perl-CGI-Application-Structured-0.003-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Structured'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12465
Comment 7 Fedora Update System 2009-12-01 23:29:23 EST
perl-CGI-Application-Structured-0.003-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Structured'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12499
Comment 8 Fedora Update System 2009-12-09 23:12:31 EST
perl-CGI-Application-Structured-0.003-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-12-09 23:31:50 EST
perl-CGI-Application-Structured-0.003-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.